http://codeartifact.{region}.amazonaws.com/v1/package/version/assets#domain&repository&format&package&versionReturns a list of <a href="https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_AssetSummary.html">AssetSummary</a> objects for assets in a package version.
The name of the domain that contains the repository associated with the package version assets.
The 12-digit account number of the Amazon Web Services account that owns the domain. It does not include dashes or spaces.
The name of the repository that contains the package that contains the requested package version assets.
The format of the package that contains the requested package version assets.
<p>The namespace of the package version that contains the requested package version assets. The package version component that specifies its namespace depends on its type. For example:</p> <ul> <li> <p> The namespace of a Maven package version is its <code>groupId</code>. </p> </li> <li> <p> The namespace of an npm package version is its <code>scope</code>. </p> </li> <li> <p> Python and NuGet package versions do not contain a corresponding component, package versions of those formats do not have a namespace. </p> </li> <li> <p> The namespace of a generic package is its <code>namespace</code>. </p> </li> </ul>
The name of the package that contains the requested package version assets.
A string that contains the package version (for example, <code>3.5.2</code>).
The maximum number of results to return per page.
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codeartifact.{region}.amazonaws.com/v1/package/version/assets#domain&repository&format&package&version' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://codeartifact.{region}.amazonaws.com/v1/package/version/assets#domain&repository&format&package&versionReturns a list of <a href="https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_AssetSummary.html">AssetSummary</a> objects for assets in a package version.
The name of the domain that contains the repository associated with the package version assets.
The 12-digit account number of the Amazon Web Services account that owns the domain. It does not include dashes or spaces.
The name of the repository that contains the package that contains the requested package version assets.
The format of the package that contains the requested package version assets.
<p>The namespace of the package version that contains the requested package version assets. The package version component that specifies its namespace depends on its type. For example:</p> <ul> <li> <p> The namespace of a Maven package version is its <code>groupId</code>. </p> </li> <li> <p> The namespace of an npm package version is its <code>scope</code>. </p> </li> <li> <p> Python and NuGet package versions do not contain a corresponding component, package versions of those formats do not have a namespace. </p> </li> <li> <p> The namespace of a generic package is its <code>namespace</code>. </p> </li> </ul>
The name of the package that contains the requested package version assets.
A string that contains the package version (for example, <code>3.5.2</code>).
The maximum number of results to return per page.
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codeartifact.{region}.amazonaws.com/v1/package/version/assets#domain&repository&format&package&version' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}